<?php
/**
 * Plugin Name: Affiliatable
 * Plugin URI: https://affiliatable.io/
 * Description: A plugin to connect & syncronize your Affiliatable dashboard with your WordPress website
 * Version: 1.0
 * Author: Affiliatable
 * Author URI: https://affiliatable.io/
 * Text Domain: affiliatable
 */
if(!defined('ABSPATH')) exit;
$icon_url = "logo-icon.png";
add_action('admin_menu', 'setup_affiliatable_page');

function setup_affiliatable_page(){
    add_menu_page( 'Affiliatable Pro', 'Affiliatable', 'manage_options', 'affiliatable-pro', 'launch_page', WP_PLUGIN_URL . '/affiliatable/affiliatable.png' );
}
function launch_page(){
    require_once("templates/dashboard.php");
}

function aff_table_func($atts, $content = null ) {
    $a = shortcode_atts( array(
        'id' => ''
    ), $atts );
    $id_p = esc_attr($a['id']);
    global $wpdb;
    $table_name = $wpdb->prefix . "affiliatable_contents";
    $results = $wpdb->get_results( "SELECT * FROM $table_name WHERE post_id='$id_p'"); 
     if(!empty($results))                        
        {   
            foreach($results as $row){  
                    
                $id_p = $row->post_id;
                
                $short_code_name = "aff_table_".$p_id;
                
                $s_name = "[$short_code_name]";
                    
                $output = $row->html_codes;
                    
            }
        }
        return $output;
    }
add_shortcode( "affiliatable", "aff_table_func" );
function enqueue_script() {   
    wp_enqueue_script( 'affiliatable_js', 'https://cdn.affiliatable.io/5670e55e4d3459091885818c74beba82.js' );
}
add_action('wp_enqueue_scripts', 'enqueue_script');
?>
