<?php
    if(!defined('ABSPATH')) exit;
    //require_once("registry.php");
    global $wpdb;

    $table_name = $wpdb->prefix . "affiliate_api_keys";
    $charset_collate = $wpdb->get_charset_collate();

    $sql = "CREATE TABLE $table_name (
      id mediumint(9) NOT NULL AUTO_INCREMENT,
      api_key varchar(250) NOT NULL,
      time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
      api_name varchar(55) DEFAULT '' NOT NULL,
      PRIMARY KEY  (id)
    ) $charset_collate;";
    
    require_once( ABSPATH . '/wp-admin/includes/upgrade.php' );
    dbDelta( $sql );
    
    if(isset($_POST['a_api_key'])){
        $key = $_POST['a_api_key'];
        $postRequest = array(
            "api_key" => "$key",
        );
        
        $cURLConnection = curl_init("https://beta.affiliatable.io/api/v1/verify-token?api_key=$key");
        curl_setopt($cURLConnection, CURLOPT_POSTFIELDS, $postRequest);
        curl_setopt($cURLConnection, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($cURLConnection, CURLOPT_HTTPHEADER, array(
            "Content-Type: application/json",
            "Authorization: Bearer 2667765759383452fc8fa36f4e1e9c685b4c9789bd8bcb1ba5a4f1dba6d4c5805bf116956b7c46eb81294348cc44f70d0ed80505c652e3af5289464c7e6e5dc960e93517535d0"
        ));
        
        $apiResponse = curl_exec($cURLConnection);
        curl_close($cURLConnection);
        
        // $apiResponse - available data from the API request
        $jsonRep = json_decode($apiResponse);
        //print_r($jsonRep);
        $msg = $jsonRep->msg;
        if($msg === "Success..." || $msg === "success..."){
            $api_key = $_POST['a_api_key'];
            $wpdb->get_var("INSERT INTO $db_table (api_key, time, api_name) VALUES ('$api_key', NOW(), 'Sample API')");
            echo("
                <script>
                    window.location.replace('');
                </script>
            ");
        }
    }
    
?>
<style>
   
</style>
<div class="container">
   
    <div class="connect-div">
        <h1>Affiliatable Pro</h1>
            <p>Create Stunning Comparison Tables and Product Boxes That Convert.</p>
            <hr />
            <h4>Connect your Affilliatable to your website</h6>
            <form action="" method="POST">
                <input placeholder="Paste API Key" type="text" class="form-control" name="a_api_key" required><br /><br />
                <input placeholder="Paste API Key" type="submit" class="button" value="Connect">
                <hr />
                <a class="button" style="background: #eaf2fe !important; color: #3f87f5 !important;" href="https://app.affiliatable.io/register" target="_blank">Get an API key</a>
            </form>
    </div>
</div>
<style>
    @media screen and (max-width: 768px){
        .connect-div{
            width: 340px; 
            padding: 20px; 
            background: #fff; 
            border-radius: 5px; 
            box-shadow: 1px 1px 11px 1px #eee;
            margin: 30px auto;
        }
    }
    @media screen and (min-width: 769px){
        .connect-div{
            width: 800px; 
            padding: 20px; 
            background: #fff; 
            border-radius: 5px; 
            box-shadow: 1px 1px 11px 1px #eee;
            margin: 30px auto;
        }
    }
</style>
