<?php
    if(!defined('ABSPATH')) exit;
    require_once("functions/tables-function.php");
    require_once("functions/dbQuery.php");
    require_once("styles/style.php");
    init_table();
?>

<div class="container-fluid top-70"> 
    <div class="row">
        <div class="tab">
            <button class="tablinks" style="background: #fff !important; border: 0px">
                <strong><img src="https://affiliatable.io/wp-content/uploads/2020/09/Affiliatable-PNG.png" width="150px" /></strong>
            </button>
            
            <button class="tablinks" onclick="openCity(event, 'comparism')" id="comparism-btn"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-layout nav-icon"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="3" y1="9" x2="21" y2="9"></line><line x1="9" y1="21" x2="9" y2="9"></line></svg> Comparison Table</button>
            <button class="tablinks" onclick="openCity(event, 'box')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-credit-card nav-icon"><rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect><line x1="1" y1="10" x2="23" y2="10"></line></svg> Product Box</button>
            <button class="tablinks" onclick="openCity(event, 'procon')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-list nav-icon"><line x1="8" y1="6" x2="21" y2="6"></line><line x1="8" y1="12" x2="21" y2="12"></line><line x1="8" y1="18" x2="21" y2="18"></line><line x1="3" y1="6" x2="3.01" y2="6"></line><line x1="3" y1="12" x2="3.01" y2="12"></line><line x1="3" y1="18" x2="3.01" y2="18"></line></svg> Pros & Cons Box</button>
            <button class="tablinks" onclick="openCity(event, 'top3')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sliders nav-icon"><line x1="4" y1="21" x2="4" y2="14"></line><line x1="4" y1="10" x2="4" y2="3"></line><line x1="12" y1="21" x2="12" y2="12"></line><line x1="12" y1="8" x2="12" y2="3"></line><line x1="20" y1="21" x2="20" y2="16"></line><line x1="20" y1="12" x2="20" y2="3"></line><line x1="1" y1="14" x2="7" y2="14"></line><line x1="9" y1="8" x2="15" y2="8"></line><line x1="17" y1="16" x2="23" y2="16"></line></svg> Top 3 Box</button>
            <button class="tablinks" onclick="openCity(event, 'rating')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star nav-icon"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg> Rating Box</button>
            <button class="tablinks" onclick="openCity(event, 'review')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-columns nav-icon"><path d="M12 3h7a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-7m0-18H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h7m0-18v18"></path></svg> Versus Box</button>
            <button class="tablinks" onclick="openCity(event, 'settings')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sliders nav-icon"><line x1="4" y1="21" x2="4" y2="14"></line><line x1="4" y1="10" x2="4" y2="3"></line><line x1="12" y1="21" x2="12" y2="12"></line><line x1="12" y1="8" x2="12" y2="3"></line><line x1="20" y1="21" x2="20" y2="16"></line><line x1="20" y1="12" x2="20" y2="3"></line><line x1="1" y1="14" x2="7" y2="14"></line><line x1="9" y1="8" x2="15" y2="8"></line><line x1="17" y1="16" x2="23" y2="16"></line></svg> Settings</button>
            <button class="tablinks" onclick="Sync()" style="background: #3f87f5 !important; color: #fff; display: inline-block !important;">Sync Data</button>
        </div>
    </div>
    
        <div id="comparism" class="tabcontent">
            <?php
                render_table("post");
            ?>
        </div>
        <div id="box" class="tabcontent">
            <?php
                render_table("box");
            ?>
        </div>
        <div id="procon" class="tabcontent">
            <?php
                render_table("pros-cons");
            ?>
             
        </div>
        <div id="top3" class="tabcontent">
            <?php
                render_table("top");
            ?>
        </div>
        <div id="rating" class="tabcontent">
            <?php
                render_table("rating");
            ?>
        </div>
        <div id="review" class="tabcontent">
             <?php
                render_table("versus-box");
            ?>
        </div>
        <div id="settings" class="tabcontent">
              <h5>Settings</h5>
              <hr />
              <p>Connected API Key</p>
              <strong><h6><?php echo $keys; ?></h6></strong>
              <form action="" method="POST">
                  <input  name="disconnect" value="disconnect" type="hidden">
                  <button type="submit" class="btn btn-danger">Disconnect</button>
              </form>
        </div>
    
</div>
<?php
    wp_register_script('prefix_bootstrap', 'https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js');
    wp_enqueue_script('prefix_bootstrap');

    // CSS
    wp_register_style('prefix_bootstrap', 'https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css');
    wp_enqueue_style('prefix_bootstrap');
    // JS
    wp_register_script('datatable_js', 'https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js');
    wp_enqueue_script('datatable_js');

    // CSS
    wp_register_style('datatable_css', 'https://cdn.datatables.net/v/dt/jq-2.2.4/dt-1.10.13/fc-3.2.2/fh-3.1.2/r-2.1.0/sc-1.4.2/datatables.min.css');
    wp_enqueue_style('datatable_css');
?>
<script>
    jQuery(document).ready(function($) {
       $('.table').DataTable();
    });
    document.getElementById("comparism-btn").click();
    function copy(element){
        var el_id = element.id;
        var copyText = document.querySelector('#input-' + el_id)
        copyText.select();
        document.execCommand('copy')
        alert("Shortcode Copied");
    }
    function copy_shortcode(element){
        var el_id = element.id;
        var copyText = document.querySelector('#' + el_id)
        copyText.select();
        document.execCommand('copy')
        alert("Shortcode Copied");
    }
    function openCity(evt, cityName) {
      // Declare all variables
      var i, tabcontent, tablinks;
    
      // Get all elements with class="tabcontent" and hide them
      tabcontent = document.getElementsByClassName("tabcontent");
      for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
        //tabcontent[0].style.display = "none";
      }
    
      // Get all elements with class="tablinks" and remove the class "active"
      tablinks = document.getElementsByClassName("tablinks");
      for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
      }
    
      // Show the current tab, and add an "active" class to the button that opened the tab
      document.getElementById(cityName).style.display = "block";
      evt.currentTarget.className += " active";
    }
    function Sync() {
      const form = document.createElement('form');
      form.method = "POST";
      form.action = "";
      const hiddenField = document.createElement('input');
      hiddenField.type = 'hidden';
      hiddenField.name = "sync";
      hiddenField.value = "sync";
      form.appendChild(hiddenField);
    
      document.body.appendChild(form);
      form.submit();
    }
</script>